#
# spec file for package python-ddt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ddt
Version:        1.1.0
Release:        3.1
Summary:        Data-Driven/Decorated Tests
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/txels/ddt
Source:         https://pypi.io/packages/source/d/ddt/ddt-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A library to multiply test cases

%prep
%setup -q -n ddt-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Thu Sep  1 2016 tbechtold@suse.com
  update to version 1.1.0
  * Note explicit support for Python 3.5
  * Catch ImportErrors and improve coverage metrics
  * Document the YAML support
  * Refactor error functions in process_file_data
  * Bump version to 1.1.0
  * Add basic support for YAML data files
  * Bump version to 1.0.2
  * Bump version number
  * Properly handle file object
  * Fix the no-YAML installed test
  * Fix Flake8 warnings
  * Add more tests for YAML data files
  * Split process_file_data into 2 functions
  * Remove broken badge 'caniusepython3'
  * Variable naming changes
  * Flake8: make lambda into 'def' function
  * Unconditionally use PyPI mock
  * Fix copy-paste error
  * Fix unittest with object instance as data
  * Add mock to test requirements
  * Add PyYAML as a test dependency
  * RTD build trigger to use project name
  * Load the YAML data safely
- Use pypi.io as Source url
* Tue Dec 15 2015 dmueller@suse.com
- update to 1.0.1:
  * specify minimum version of six
  * Fix different test names with different runs
* Thu Feb  5 2015 tbechtold@suse.com
- update to version 1.0.0:
  * Bump version
  * Minor changes to contributing and license docs
  * Merge pull request #24 from txels/carles/license
  * Update setup.py with new MIT License
  * Improve landscape.io ratings by reducing ddt complexity
  * Add landscape.io code health badge
  * Add MIT license
  * Reshuffle requirements, and add a document on contributing
  * Add python3 badge
  * Add script and config to release to pypi as wheel
* Thu Jan  8 2015 tbechtold@suse.com
- update to version 0.8.1:
  * State support for Python3 in trove classifiers
  * Merge pull request #20 from santtu/fix_hash_randomization
  * I really ought to look at my flymake output too.
  * Added if pushed line too long, wrapped.
  * Cleaned up some code, added check for <3.2.3 versions, updated tests.
  * A possible fix for https://github.com/txels/ddt/issues/19
* Mon Sep 15 2014 tbechtold@suse.com
- update to version 0.8.0:
  * Ensure tests get different names by adding an ordinal
  * Merge pull request #18 from elyezer/master
  * Do not allow invalid characters on test names
  * Ensure that new test functions are given the right name.
  * Document use of
  * Update docs to not keep track of example test output
  * Stop testing on python 3.2 with tox
  * Version 0.7.0
  * Fix flake8 issues
  * Add flake8 checks to Travis-CI build
  * Merge pull request #16 from ITAttractor/unpack-feature
  * #3 test_example.py - added tests for @unpack decorator for
    unpacking lists, tuples and dictionary
    ddt.py - added unpack decorator that sets
    UNPACK_ATTR for the decorated function
  * added functionality to extract tuples into multiple parameters
  * Add note about supported version in docs
  * Increase version number
  * Merge pull request #14 from txels/edx-support-unicode-data
  * Update documentation for non-ASCII data
  * Speed-up Travis build.
  * Support python2 and python3
  * Add support for unicode in ddt data
  * Build for Python 3.3 on Travis
* Mon Jan 13 2014 dmueller@suse.com
- update to 0.5.0:
  * Fix bug where test methods were named with data __name__ only
* Tue Sep 17 2013 speilicke@suse.com
- Initial version
